--[[

Add shell commands, currently only to show the main window.

]]--

shellCmd = Turbine.ShellCommand();

function shellCmd.Execute(sender, cmd, args)
   if ((string.lower(cmd) == "killtracker") or (string.lower(cmd) == "kt")) then
      if (string.lower(args)==L.CmdShow) then
         statsWindow:SetVisible(true);

         RefreshKillsDisplay();
      elseif (string.lower(args)==L.CmdHide) then
         statsWindow:SetVisible(false);
      elseif (string.lower(args)==L.CmdToggle) then
         statsWindow:SetVisible(not statsWindow:IsVisible());

         if (statsWindow:IsVisible()) then
				RefreshKillsDisplay();
			end
      elseif (string.lower(args)==L.CmdOptions) then
			Turbine.PluginManager.ShowOptions(Plugins.KillTracker);
      else
			Turbine.Shell.WriteLine(L.Usage..":");
			Turbine.Shell.WriteLine("  /KillTracker "..L.CmdShow);
			Turbine.Shell.WriteLine("  /kt "..L.CmdShow);
			Turbine.Shell.WriteLine("       "..L.CmdShowDesc..".");
			Turbine.Shell.WriteLine("  /KillTracker "..L.CmdHide);
			Turbine.Shell.WriteLine("  /kt "..L.CmdHide);
			Turbine.Shell.WriteLine("       "..L.CmdHideDesc..".");
			Turbine.Shell.WriteLine("  /KillTracker "..L.CmdToggle);
			Turbine.Shell.WriteLine("  /kt "..L.CmdToggle);
			Turbine.Shell.WriteLine("       "..L.CmdToggleDesc..".");
			Turbine.Shell.WriteLine("  /KillTracker "..L.CmdOptions);
			Turbine.Shell.WriteLine("  /kt "..L.CmdOptions);
			Turbine.Shell.WriteLine("       "..L.CmdOptionsDesc..".");
      end
   end
end

function shellCmd.GetHelp(sender, cmd)
	local cmdStr = L.Usage..":\n  /kt "..L.CmdShow.."\n       "..L.CmdShowDesc..".\n";
	cmdStr = cmdStr.."  /kt "..L.CmdHide.."\n       "..L.CmdHideDesc..".\n"; 
	cmdStr = cmdStr.."  /kt "..L.CmdToggle.."\n       "..L.CmdToggleDesc..".\n"; 
	cmdStr = cmdStr.."  /kt "..L.CmdOptions.."\n       "..L.CmdOptionsDesc..".\n"; 

   return(cmdStr);
end

function shellCmd.GetShortHelp(sender, cmd)
   return("KillTracker - "..L.Usage..": /kt "..L.CmdShow.." | "..L.CmdHide.." | "..L.CmdToggle.." | "..L.CmdOptions);
end

function _G.AddShellCommands()
   Turbine.Shell.AddCommand("KillTracker", shellCmd);
   Turbine.Shell.AddCommand("kt", shellCmd);
end

function _G.RemoveShellCommands(sender, args)
   Turbine.Shell.RemoveCommand(shellCmd)
end
